@import "../../global/var";

.reviewed {
    min-width: 36px;
    border-radius: 4px;
    border-width: 1px;
    background-color: transparent;
    color: rgba($dark-new, .6);
    font-weight: normal;
    transition: border-color .25s ease-in-out, color .25s ease-in-out;
    border-color: rgba($dark-new, .15);
    &:hover {
        color: rgba($dark-new, .8);
        border-color: rgba($dark-new, .25) !important;
    }
    &.label-primary {
        background-color: $brand-light;
        color: $white;
    }
}

.zf-primary-button {
    display: flex;
    align-items: center;
    height: 32px;
    font-size: 0;
    line-height: 1;
    padding: 6px 13px 6px 6px;
    color: $brand-light;
    border-radius: 16px;
    border: 1px solid $brand-light;
    background-color: $white;
    transition: color .25s ease-in-out, background-color .25s ease-in-out;

    .page-profile & {
        padding: 6px 13px 6px 10px;
    }
    .material-icons {
        color: $brand-light;
        font-size: 22px;
        line-height: 18px;
        margin: 0 2px 0 0;
        max-height: 18px;
        min-height: 18px;
        transition: color .25s ease-in-out;
    }

    span {
        padding-top: 2px;
        font-size: 12px;
        font-weight: 500;
        letter-spacing: 0.3px;
        text-transform: uppercase;
    }

    &[disabled] {
        &, &:hover {
            color: rgba($black, 0.35);
            border-color: rgba($black, 0.35);
            .material-icons {
                color: rgba($black, 0.35);
            }
        }
    }

    .nav-container.bg-dark .nav & {
        float: none;
        color: $brand-light;
        border: 1px solid $brand-light;
        background-color: transparent;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 11px 20px 10px 18px;
        font-weight: 500;
        .material-icons {
            font-size: 22px;
            line-height: 18px;
            margin: 0 2px 0 0;
        }
    }
    .nav-container.bg-dark .nav ul >li:hover & {
        color: $brand-light;
        border: solid 1px $brand-light;
        &:hover {
            color: $brand-light-hover;
            border: solid 1px $brand-light-hover;
        }
    }
    &:hover {
        border-color: $brand-light-hover;
        color: $brand-light-hover;
        background-color: $white;

        @media(min-width: $screen-phone + 1) {
            .material-icons {
                color: $brand-light-hover;
            }
        }
    }
    @media(max-width: $screen-phone) {
        &.fixed-page-header__btn {
            color: $white;
            border: 1px solid $white;
            background-color: $brand-light;
            md-icon {

                color: $white;
            }
            span {
                display: none;
            }

            &._no-icon {
                span {
                    display: inline-block;
                }
            }
        }
    }

    @media(max-width: $breakpoint-mobile - 1) {
        &.fixed-page-header__btn {
            border-radius: 8px;
            width: 32px;
            height: 32px;
            padding: 0;
            md-icon {
                padding: 3.5px 0 0 3.5px;
                max-height: unset;
            }

            span {
                display: none;
            }

            &._search {
                border: 1px solid transparent;
                background-color: rgba($coal, .1);
                color: $black;

                .material-icons {
                    color: currentColor;
                }

                &:hover {
                    border: 1px solid transparent;
                }

                &._active {
                    background-color: $medium-teal-bright-new;
                    color: $white;

                    .material-icons {
                        color: currentColor;
                    }
                }
            }

            &._dashboard {
                display: none !important; //TODO: find who adds inline styles
            }
        }
    }
}

.zb-slim-btn {
    &,
    &.md-focused:not(.md-icon-button) {
        &,
        &:not([disabled]) {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 24px;
            min-height: 24px;
            font-size: 0;
            line-height: 1;
            padding: 3px 8px;
            color: $dark-coal-light-new;
            border-radius: 12px;
            border: 1px solid $gray3e5;
            background-color: $white;
            transition: color .25s ease-in-out, background-color .25s ease-in-out, border-color .25s ease-in-out;
            position: relative;
            margin-right: 12px;
            min-width: 80px;
            &._left-icon {
                padding-left: 26px;
                justify-content: flex-start;
            }
        }
    }

    &._left-icon & {
        &__icon {
            position: absolute;
            top: 50%;
            left: 2px;
            transform: translateY(-50%);
            display: block;
            width: 18px;
            height: 18px;
            border-radius: 50%;
            background-color: $gray3e5;
            border: 1px solid $gray3e5;
            transition: all .25s ease-in-out;
            &.material-icons {
                font-size: 16px;
                color: currentColor;
                min-width: 18px;
                min-height: 18px;
                background-color: transparent;
                border-color: transparent;
                left: 4px;
            }
            &.fa {
                font-size: 14px;
                background-color: transparent;
                border-color: transparent;
                left: 4px;
            }
        }
    }

    &__txt {
        font-size: 14px;
        line-height: 1;
        text-transform: none;
        font-weight: 400;
    }
}

@media (max-width: $screen-xs) {
    [aria-label = "Date Range Picker"] {
        display: flex;
        flex-direction: column;
        max-width: 100%;
        width: 100%;
        max-height: 100%;
        height: 100%;
        border-radius: 0;
        .md-date-range-picker {
            &__calendar-wrapper {
                width: 100%;
                min-width: unset;
                margin: auto;
            }
            &__calendar__grid {
                width: 43px;
            }
            &__week {
                display: flex;
                justify-content: center;
            }
            &__calendar {
                max-width: 305px;
                margin: 0 auto;
            }
        }
        md-date-range-picker .md-date-range-picker {
            box-shadow: none;
        }
        md-dialog-content {
            flex-grow: 1;
        }
    }
}

.manage-chip {
    position: relative;
    md-chip {
        width: 118px;
        font-weight: bold;
        text-transform: uppercase;
        line-height: 2.3;
        background-color: rgba($dark-new, .5);
        margin: 0 8px 0 0;
        width: 36px;
        height: 36px;
        border-radius: 8px;
        padding: 0;
        md-icon {
            margin-top: 3px;
            margin-left: 6px;
            font-size: 24px;
            color: $white;
        }
        ._unactiveChips & {
            background-color: rgba($dark-new, .07);
            md-icon {
                color: rgba($dark-new, .25);
            }
        }
        &:hover {
            background-color: $dark-new;
        }
    }
}

md-chips.filter-chip.custom-filter {
    overflow-x: auto;
    overflow-y: hidden;
    height: 37px;

    &.rounded {
        md-chips-wrap.md-chips{
            md-chip {
                border-radius: 20px;
            }
        }
    }

    @media screen and (min-width: $breakpoint-mobile) {
        min-width: auto;
        flex: 1 1 auto;
    }
    @media screen and (max-width: $breakpoint-mobile - 1) {
        -ms-overflow-style: none;
        overflow: -moz-scrollbars-none;
        display: block;
        max-width: 100%;
        &::-webkit-scrollbar {
            -webkit-appearance: none;
            width: 0;
            height: 0;
        }
    }

    .custom-filter__img {
        margin-top: -2px;
        margin-right: 4px;
        width: 12px;
        height: 12px;
        overflow: hidden;
        object-fit: contain;

        &.rounded {
            width: 22px;
            height: 22px;
            border-radius: 50%;
        }
    }

    md-chips-wrap.md-chips{
        display: flex;
        align-items: flex-start;
        height: 100%;
        &, &.md-focused {
            box-shadow: none;
            padding: 0px 0 22px 3px;
        }
        md-chip {
            background-color: transparent;
            letter-spacing: 0.1px;
            border-radius: 8px;
            color: $dark-new;
            font-size: 14px;
            font-weight: 500;
            border: solid 1px rgba($dark-new, .15);
            margin-bottom: 0;
            margin-left: 0;
            margin-right: 12px;
            max-height: 36px;
            height: 36px;
            position: relative;

            ._unactiveChips & {
                background-color: rgba($dark-new, .07);
                color: rgba($dark-new, .25);
                border-color: transparent;
            }

            &.md-focused {
                background-color: $dark-new;
                color: $white;

                .close-button {
                    position: absolute;
                    top: 50%;
                    right: 8px;
                    transform: translateY(-50%);
                    border: 2px solid $white;
                    background: transparent;
                    border-radius: 50%;
                    padding: 8px;
                    cursor: pointer;
                    margin: 0 auto 0 8px;
                    height: 20px;
                    width: 20px;
                    display: inline-block;
                    opacity: .5;

                    &:after,
                    &:before {
                        position: absolute;
                        top: 3px;
                        right: 3px;
                        bottom: 0;
                        left: 50%;
                        transform: rotate(45deg) translateX(0) translateY(0);
                        height: 10px;
                        width: 2px;
                        background-color: $white;
                        content: '';
                        display: block;
                        margin: 0 0 0 -1px;
                    }
                    &:before {
                        transform: rotate(-45deg) translateX(0) translateY(0);
                    }
                }
            }
        }

        @media screen and (max-width: $breakpoint-mobile - 1) {
            display: inline-block;
            white-space: nowrap;
            box-shadow: none;
            line-height: 0;

            md-chip {
                margin: 0;
                float: none;
                display: inline-block;
                font-size: 14px;
                max-height: 32px;
                line-height: 32px;
            }

            md-chip + md-chip {
                margin-left: 8px;
            }
        }
    }
}

.warning-block {
    padding: 24px 24px 20px 20px;
    margin-bottom: 30px;
    background-color: rgba(#eb4454, 0.1);
    font-weight: normal;
    letter-spacing: 0.1px;
    color: #bf3744;
    &__text {
        &._important {
            font-weight: 800;
        }
    }
    &__body {
        font-size: 14px;
    }
    &__list {
        font-size: 14px;
        margin-top: 8px;
        ul {
            padding-left: 16px;
            margin: 0;

            li {
                color: $black;
            }
        }
    }
}
